@import url('https://fonts.googleapis.com/css2?family=Bree+Serif&family=Pacifico&family=Sail&display=swap');

/* RESET */
*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

img{display: block;}

button, input, select, textarea{  
    font:inherit;
} 

/* PROPERTIES */

.right{
    float:right;
}

.left{
  float:left;
}

.offscreen{
    position: absolute;
    left:-10000000px;
}

.flip-horizontally {
    transform: scaleX(-1);
  }

html{
    scroll-behavior: smooth;
}



 /* GENERAL SETTINGS */

body{
    font-family: 'Bree Serif', serif;
    background-color: #326b9c;
    background-image: url("img/lined-paper-2.png");
    line-height: 1.5;
    font-size: 0.8rem;
}

@media screen and (min-width:375px) {
    body{
        font-size: 1.1rem;
    }
}

@media screen and (min-width:425px) {
    body{
        line-height: 1.5;
        font-size: 1.2rem;
    }
}

@media screen and (min-width:768px) {
    body{
        line-height: 1.5;
        font-size: 1.5rem;
    }
}

@media screen and (min-width:2560px) {
    body{
        line-height: 1.5;
        font-size: 3.5rem;
    }
}




/* HEADER */

h1{
    font-family: 'Pacifico', cursive;
    margin-left: auto;
    margin-right: auto;
}

header{
    margin-left: auto;
    margin-right: auto;
    padding-top: 1em; 
    text-align: center;
    color: black;
}

nav a{
    color: inherit;
    text-decoration: none;
    margin-inline: 0.5em;  
}

nav a:hover, a:focus{
    color: #96031A;
    text-transform: uppercase;
}

.header-content{
  display: flex;
  align-content: space-between;
  justify-content: center;
  align-items: center;
}

.header-content figure{
    width:25%;
    max-width: 215px;
}

.header-img{
    width: 100%;
    height:auto;
}

.header-content-a{
    color: #000;
    text-decoration: none;
    border: 1px solid black;
    margin-left: auto;
    margin-right: auto;
    min-width: 115px;  
    display: none;
    margin-top: 0.4em;
}

.quote{
    display: flex;
    flex-direction: column;
}

/* MAIN */

main{
    background: url(img/so-white_400x400.png);
    color: #0D1321;
    padding-bottom: 1em;
    border-bottom: 2px solid black;    
}

.main-article{

    margin-inline: 5%;
    padding-top: 3em;
    
}

.box {
    --mask:
      radial-gradient(38.59px at 50% 53.00px,#000 99%,#0000 101%) calc(50% - 40px) 0/80px 100%,
      radial-gradient(38.59px at 50% -33px,#0000 99%,#000 101%) 50% 20px/80px 100% repeat-x;
    -webkit-mask: var(--mask);
            mask: var(--mask);
  }

  @media screen and (min-width: 768px) {
    .box {
        --mask:
          radial-gradient(57.88px at 50% 79.50px,#000 99%,#0000 101%) calc(50% - 60px) 0/120px 100%,
          radial-gradient(57.88px at 50% -49.5px,#0000 99%,#000 101%) 50% 30px/120px 100% repeat-x;
        -webkit-mask: var(--mask);
                mask: var(--mask);
      }

  }

  @media screen and (min-width: 1024px) {
    .box {
        --mask:
          radial-gradient(73.32px at 50% 100.70px,#000 99%,#0000 101%) calc(50% - 76px) 0/152px 100%,
          radial-gradient(73.32px at 50% -62.7px,#0000 99%,#000 101%) 50% 38px/152px 100% repeat-x;
        -webkit-mask: var(--mask);
                mask: var(--mask);
      }

  }


  @media screen and (min-width: 1440px) {

    /* .box { bottom
--mask:
    radial-gradient(86.82px at 50% calc(100% - 119.25px),#000 99%,#0000 101%) calc(50% - 90px) 0/180px 100%,
    radial-gradient(86.82px at 50% calc(100% + 74.25px),#0000 99%,#000 101%) 50% calc(100% - 45px)/180px 100% repeat-x;
    -webkit-mask: var(--mask);
            mask: var(--mask);
  } */

  .box {   
    --mask:
      radial-gradient(86.82px at 50% 119.25px,#000 99%,#0000 101%) calc(50% - 90px) 0/180px 100%,
      radial-gradient(86.82px at 50% -74.25px,#0000 99%,#000 101%) 50% 45px/180px 100% repeat-x;
    -webkit-mask: var(--mask);
            mask: var(--mask);
  }

  .main-article{
      padding-top:4em;
  }
    
}

@media screen and (min-width: 2560px) {
    .box {
        --mask:
          radial-gradient(96.47px at 50% 132.50px,#000 99%,#0000 101%) calc(50% - 100px) 0/200px 100%,
          radial-gradient(96.47px at 50% -82.5px,#0000 99%,#000 101%) 50% 50px/200px 100% repeat-x;
        -webkit-mask: var(--mask);
                mask: var(--mask);
      }
  }

h2{
    font-family:'Pacifico', cursive;
    margin-bottom: 0.2em;
}

/* INDEX PAGE */
.article-description{
    padding-top: 4em;  
}

.article-description-section{
    display: flex;
    align-items: center;
    flex-direction: column;
    text-align: center;
    justify-content: space-between;    
}


@media screen and (min-width:1024px) {
    
    .article-description-section{
        flex-direction: row;

    }

    .article-description-section:nth-child(2){
        flex-direction: row-reverse;
    }
    
}

.article-description-section p{
    margin: 2.5em;
    margin-left: auto;
    margin-right: auto;
}


.article-description-figure{
    max-width: 250px;
    width:65%;
    margin: 0.4em;
}

@media screen and (min-width:2560px) {
    
    .article-description-figure{
        max-width: 715px;
    }
    
} 

.article-description-figure img{
    width:100%;
    height: auto;
    border-radius: 240px;
    border: 3px solid #1D2D44;
}

.article-review{
    display: grid;
    grid-template-columns: repeat(3 ,1f) ;
    justify-items: center;
    border-top: 3px solid black;
    border-bottom: 3px solid black;
    background-color: #bc5746;
    background-image: url("img/low-contrast-linen.png");

color: #000;

    padding: 1em;
}

.article-review-figure{
    width:18%;
    grid-column-start: 1;
    grid-column-end: 4;
}

@media screen and (min-width:768px){
    .article-review-figure{
        width:12%;
    }
}

@media screen and (min-width:1024px){
    .article-review-figure{
        width:10%;
    }
}

@media screen and (min-width:1440px){
    .article-review-figure{
        width:7%;
    }
}

.article-review-figure img{
    width: 100%;
    height: auto;
}

.article-review h3{
    grid-column-start: 1;
    grid-column-end: 4;
    padding: 0.5em;
    font-size: 1em;
}

.article-review section{
    padding: 0.3em;
    font-size: 0.8em;
    text-align:center;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    grid-column: 1/4;
    
}


@media screen and (min-width:1024px){
    .article-review section{
        grid-column: auto;
    }
}

.article-review h4{
    text-align: right;
    padding: 0.2em;
}

.article-index{
    display: grid;
    grid-auto-columns: 1fr 1fr;
}

@media screen and (min-width:1024px){
    .article-index{
        padding-top: 2.5em;
    display: grid;
    grid-auto-columns: 50% 50%;
    }

    .location{
        grid-column: 1/2;
    }

    .menu{
        grid-column:2/3;
    }
}

.article-index-section{

    padding-bottom: 1em;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.article-index-header{
    padding-bottom: 1em;
    text-decoration: underline;
}

.article-index-anchor-figure{
    padding-top: 0.5em;
    padding-bottom: 1.2em;
    width:25%;
}

.article-index-section-a{
    text-align: center;
    padding: 1em 3em 1em 3em;
    margin: 3em;
    border: 3px solid black;
    background: #bc5746;
    background-color: #bc5746;
    background-image: url("img/wine-cork.png");
    color: black;
    text-decoration: none;

}

.article-index-img{
    width: 100%;
    height: auto;
}

.article-index-compass-figure{
    padding-top: 0.5em;
    padding-bottom: 1em;
    width:38%;
}


.article-index-location-div{
    display:flex;
    justify-content: center;
    flex-wrap: wrap;
    gap:1em;
}

.article-index-location-div table{
    padding-top: 1.3em;
}

.article-index-location a{
    color: #0D1321;
    text-decoration: none;
}

.article-index-location a:hover{
    color: #96031A;
    text-decoration: none;
}

.location-hours-table td{
    padding-right: 0.2em;
}

.article-index-faq summary{
    cursor: pointer;
}

.article-index-faq p{
    padding-left: 2em;
}

/* ABOUT PAGE */


.article-about p{
    text-align: left;
}

.article-about-figure{

    padding: 0.5em;
    margin-left: auto;
    margin-right: auto;
}

@media screen and (min-width:768px) {
    .article-about-figure{
        width:40%;
        float: right;
    }
}

.article-about-figure img{
    width:100%;
    height: auto;
}

figure figcaption{
    text-align: center;
    color: #648767;
}

/* CATERING PAGE */

.article-catering{
    display: grid;
    grid-template-columns: 60% 40%;
    grid-auto-rows: repeat (4,1fr);
}

@media screen and (min-width: 1440px){
    .article-catering{
        width:80%;
        margin-left: auto;
        margin-right: auto;
    }
}

.catering-p-headline{
    color: #96031A;    
}

.article-catering-text{
    padding: 1em 0em 1em 0em;
    grid-column: 1/3;
}

@media screen and (min-width:1024px){
    .article-catering-text{
        grid-column:1/2;
    }
}

.article-catering-form{
    padding: 1em;
    background-color: #fae38e;
    background-image: url("img/sandpaper.png");
    max-width:425px;
    border:1px solid #FDF0C4;
    grid-column: 1/3;
}

@media screen and (min-width:612px){

    .article-catering-form{
        display: grid;
        max-width: 768px;
        grid-template-columns: 50% 50%;
    } 
  
}

@media screen and (min-width:1024px){

    .article-catering-form{
        margin-left: 2em;
        margin-top: 3em;
        display: inline-block;
        max-width: 425px;
        grid-column: 2/3;
        min-width: 375px;
        
    } 
  
}

@media screen and (min-width:2560px){

    .article-catering-form{
        max-width:none;
    } 
  
}

fieldset{
    border: none;
}

fieldset p{
    padding-inline-start: 1em;
}

legend{
    margin-bottom: 0.2em;   
}

label{
    font-size:0.7em;
    display:block;
    text-indent: 0;
}

input,select{
    margin: 0.3em;
    margin-inline:0;
}

.choose-menu{
    width:70%;  
    column-count: 2;
    column-width: 270px;
    column-gap: 0;
}

.choose-menu label{
    display: inline;
    
}

.order-details details{
    margin-left: 2em;
}

textarea{
    margin-inline-start: 1em;
}

.catering-button-container{
    display: flex;    
}

@media screen and (min-width:612px){
    .catering-button-container{
        grid-column: 2/3;
        justify-content: flex-end;
    } 
}

.article-catering button{
    margin: 0.5em;
}

.article-catering-figure{
    max-width: 425px;
    grid-row: 4/5;
    grid-column: 1/3;
}

.article-catering-figure img{
    width: 100%;
    height: auto;
    margin-top:2em;
}

/* ATTRIBUTION PAGE */

.article-attributes{
    min-height: 60vh;
}

@media screen and (min-width: 1440px){
    .article-attributes{
        width: 70%;
        margin-left:auto;
        margin-right: auto;
    }
}

/* MENU */

.article-menu{
    display: grid;
    grid-auto-rows: 5%, 45%,45%;
}

@media screen and (min-width: 1024px){
    .article-menu{
        width: 70%;
        margin-left: auto;
        margin-right: auto;
    }
}

.article-menu section{
    padding: 1em 1em 0em 1em;
}

.article-menu h2{
    grid-column: 1/3;
}

.article-menu-section{
    grid-column: 1/3;
}

@media screen and (min-width: 1440px){

    .sides{
    grid-column: 1/2;
    }
    .soup{
     grid-column: 2/3;   
    }

}

.article-menu-section-item{
    display: grid;
    grid-template-columns: 70% 30%;
    padding: 0.5em;
    border-top: 1px solid black;
}

.article-menu-section-item h4{
    grid-column: 1/2;
}

.article-menu-section-item-description {
    grid-column: 1/2;
}

.article-menu-section-item-price{
    grid-column: 2/3;
    text-align: right;   
} 

/* confirmation page*/
.article-confirmation{
    min-height: 60vh;
}

@media screen and (min-width: 1440px){
    .article-confirmation{
        width: 70%;
        margin-left:auto;
        margin-right: auto;
    }
}

.article-confirmation h2{
    color: #96031A;
}

/* FOOTER */

footer{
    background-color: #39b0ae;
    background-image: url("img/foggy-birds.png");
    padding: 1em;
    text-align: left;
    font-size: 1rem;
    display: flex;
    flex-wrap: wrap; 
}

footer div{
    display: flex;
    flex-wrap: wrap;
    gap:1em;
}

footer ul{
    list-style-type: none;
    margin-inline-end:1em;
}

footer a{
 text-decoration: none;
 color: black
}

footer a:hover, a:focus{
    text-transform: none;
    color: #1D2D44;
}

/* Uranian Blue: #a3d9ff lighter
   Navajo white: #FFDEAD
   Reseda Green: #648767
   Rich black: #0D1321
   Prussian Blue: #1d2d44 darker
   Carmine: #96031A
    */